POST api/NTReturnToWork/PostCPWRTWChangeRequest
Request Information
URI Parameters
None.
Body Parameters
CPWRTWChangeRequestDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer |
None. |
|
| ClinicalPathwayId | integer |
None. |
|
| RequestedWorkStatusId | integer |
None. |
|
| RequestNote | string |
String length: inclusive between 0 and 4000 |
|
| Status | integer |
None. |
|
| DeclineNote | string |
String length: inclusive between 0 and 1000 |
|
| ResponseUserById | integer |
None. |
|
| ResponseDateTime | date |
None. |
|
| ReasonForDelete | string |
String length: inclusive between 0 and 1000 |
|
| RequestedUserName | string |
String length: inclusive between 0 and 100 |
|
| ResponseUserName | string |
String length: inclusive between 0 and 100 |
|
| ValidFlag | boolean |
None. |
|
| DateCreated | date |
None. |
|
| DateUpdated | date |
None. |
|
| UserIDCreated | integer |
None. |
|
| UserIDUpdated | integer |
None. |
|
| CompanyCode | string |
String length: inclusive between 0 and 10 |
|
| IsExcludeDiscount | boolean |
None. |
Request Formats
application/json, text/json
Sample:
{
"Id": 1,
"ClinicalPathwayId": 2,
"RequestedWorkStatusId": 3,
"RequestNote": "sample string 4",
"Status": 5,
"DeclineNote": "sample string 6",
"ResponseUserById": 1,
"ResponseDateTime": "2026-08-04T14:28:35.1238409-07:00",
"ReasonForDelete": "sample string 7",
"RequestedUserName": "sample string 8",
"ResponseUserName": "sample string 9",
"ValidFlag": true,
"DateCreated": "2026-08-04T14:28:35.1238409-07:00",
"DateUpdated": "2026-08-04T14:28:35.1238409-07:00",
"UserIDCreated": 13,
"UserIDUpdated": 14,
"CompanyCode": "sample string 15",
"IsExcludeDiscount": true
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
AsapResponseOfCPWRTWChangeRequestDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | CPWRTWChangeRequestDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": {
"Id": 1,
"ClinicalPathwayId": 2,
"RequestedWorkStatusId": 3,
"RequestNote": "sample string 4",
"Status": 5,
"DeclineNote": "sample string 6",
"ResponseUserById": 1,
"ResponseDateTime": "2026-08-04T14:28:35.1394771-07:00",
"ReasonForDelete": "sample string 7",
"RequestedUserName": "sample string 8",
"ResponseUserName": "sample string 9",
"ValidFlag": true,
"DateCreated": "2026-08-04T14:28:35.1394771-07:00",
"DateUpdated": "2026-08-04T14:28:35.1394771-07:00",
"UserIDCreated": 13,
"UserIDUpdated": 14,
"CompanyCode": "sample string 15",
"IsExcludeDiscount": true
},
"totalCount": 3
}